GEN_KEYMAP(1)

NAME
gen_keymap - generate a keyboard map decision tree

SYNOPSIS
gen_keymap list ...

DESCRIPTION
gen_keymap generates a decision tree from a set of keyboard maps which can be used to help a user decide which keyboard map to use. The program using the decision tree typically asks the user to press some keys; at each step, it examines the returned keycode and uses it to prune the list of possible keyboard maps until there is only one left.

OPTIONS

- -version
    Show program's version number and exit.

?, - -help
    Show help text.

-v, - -verbose
    Be more verbose.

-mMINLEN, - -minlen=MINLEN
    Too-short keymaps are skipped (default: 30 entries).

-g, - -graph
    Generate a hopefully-nice-looking .dot file.

- -maps
    Print the to-be-processed keymaps

-i, - -installer
    Input files are in d-i map form.

-IDIRS, - -inc=DIRS, - -include=DIRS
    Add a directory to the search path.

-oFILENAME, - -output=FILENAME
    Set output file (default: stdout).

-fFILTER, - -filter=FILTER
    Include only the branches leading to these keymaps.

-uUSEONLY, - -useonly=USEONLY
    Start generating the tree based only on these keymaps. (The difference between - -filter and - -useonly is that the former generates the whole tree and then prunes it, while the latter only generates a reduced tree to begin with. This may have implications for performance on large trees.)

-sSKIP, - -skip=SKIP
    Keymaps to skip.

-t, - -test
    Test the generated maps.

- -interactive
    Ask user to choose among indistinguishable keymaps.

AUTHORS
-nosplit gen_keymap was written by Matthias Urlichs <smurf@debian.org>. This manual page was written by Colin Watson <cjwatson@ubuntu.com>.